package com.atlassian.webdriver.bitbucket.page.admin;

import com.atlassian.pageobjects.elements.ElementBy;
import com.atlassian.pageobjects.elements.PageElement;
import com.atlassian.webdriver.bitbucket.page.MigrationProgressPage;

public class ConfigureMigrationPage extends AbstractDatabasePage<ConfigureMigrationPage> {

    @ElementBy(id = "submit")
    private PageElement startMigrationButton;

    @Override
    public String getUrl() {
        return "/admin/db/edit";
    }

    public MigrationProgressPage clickStartMigration() {
        startMigrationButton.click();
        return pageBinder.bind(MigrationProgressPage.class);
    }
}
